com.sun.mail.imap.protocol

## Class IMAPReferralException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.mail.iap.ProtocolException
      - - com.sun.mail.imap.protocol.IMAPReferralException

- All Implemented Interfaces:
    Serializable

      public class IMAPReferralException
      extends ProtocolException

  A ProtocolException that includes IMAP login referral information.
  Since:
    JavaMail 1.5.5
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.mail.iap.ProtocolException

      `response`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAPReferralException(String s, String url)` Constructs an IMAPReferralException with the specified detail message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getUrl()` Return the IMAP URL in the referral.

    - ### Methods inherited from class com.sun.mail.iap.ProtocolException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAPReferralException

          public IMAPReferralException(String s,
                               String url)

      Constructs an IMAPReferralException with the specified detail message. and URL.
      Parameters:
        `s` - the detail message
        `url` - the URL

  - ### Method Detail

    - #### getUrl

          public String getUrl()

      Return the IMAP URL in the referral.
      Returns:
        the IMAP URL

Copyright © 2016 Oracle. All rights reserved.